# Edit message

Edits a message. Fields you leave out keep their current values.

```http
PATCH https://api.pozy.ai/v1/inbox/conversations/{conversationId}/messages/{messageId}
```

- Area: Inbox / Messages
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `conversationId` (string, required)
- `messageId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `text`, string
- `replyMarkup`, object
  - `type`, string: One of `inline_keyboard`
  - `keyboard`, array of array of object

## Example request

```bash
curl -X PATCH "https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9/messages/62d191e7089bc48b8ea56b35" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9/messages/62d191e7089bc48b8ea56b35", {
  method: "PATCH",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.patch(
    "https://api.pozy.ai/v1/inbox/conversations/6e525f3820fc636aa96d2ee9/messages/62d191e7089bc48b8ea56b35",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `data`, object
  - `messageId`, integer

```json
{
  "success": true,
  "data": {
    "messageId": 1
  }
}
```
